Models
Update a model
Update model metadata. Does not modify the model’s node tree - use create_version for that.
PATCH
/
models
/
{model_id}
Update a model
curl --request PATCH \
--url https://app.gomangrove.com/api/v1/models/{model_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"model": {
"cadence": "monthly",
"partition_type": "feedstock"
}
}
'import requests
url = "https://app.gomangrove.com/api/v1/models/{model_id}"
payload = { "model": {
"cadence": "monthly",
"partition_type": "feedstock"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: {cadence: 'monthly', partition_type: 'feedstock'}})
};
fetch('https://app.gomangrove.com/api/v1/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mdl_abc123def456",
"name": "Carbon Calculation Model",
"version": 1,
"is_latest": true,
"cadence": "monthly",
"partition_type": "feedstock",
"order": 1,
"created_at": "2025-01-15T10:00:00.000Z",
"updated_at": "2025-01-15T12:00:00.000Z"
}{
"status": "error",
"statusCode": 404,
"errors": [
{
"message": "record not found"
}
]
}Authorizations
Path Parameters
Model friendly ID (e.g., mdl_abc123def456)
Body
application/json
Show child attributes
Show child attributes
Previous
Delete a modelDelete a model. By default, only the latest version is deleted, and it must have no model runs.
Use the all_versions parameter to delete all versions of the model at once.
Next
⌘I
Update a model
